Subject: Re: Please route new work through -mm tree?

From: "David S. Miller" <[email-masked]>
Date: Wed, 29 Sep 2004 13:19:47 -0700

On Wed, 29 Sep 2004 11:03:43 -0700
Stephen Hemminger <[email-masked]> wrote:

> There is lots of stuff going on that has a potential to make things less
> stable. How about routing any future TCP, fib, statistics, stuff through
> Andrew's tree and not directly to Linus. That way we have some buffer
> and can stablize some more. Alternatively, Dave you could publize your
> staging area some more.

I'm not changing how I do things because:

1) Putting the net stuff into -mm makes debugging of networking
   changes harder, as -mm has a ton of experimental stuff in it
   as well.  -mm frequently makes machines unbootable, and particularly
   this is felt on non-x86 platforms such as sparc64 which is where
   I do all of my work.

2) I am more than happy to post the location of my net-2.6 tree
   but last time I used this actively (whilst Linus was away for
   2 weeks) the IBM folks complained that this gave them
   too many trees to work from.

Furthermore, I've never put any change into my tree that I didn't
think was ready for upstream.  When I post something here before
pushing to Linus, that's the chance for folks to test things out.